CREATE TABLE `object_option` (
`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
`object_id` INT( 11 ) UNSIGNED NOT NULL ,
`type` ENUM( 'host', 'subnet', 'workgroup','global' ) NOT NULL ,
`scope` ENUM( 'host', 'subnet','workgroup','global' ) NOT NULL ,
`dhcp_option` INT( 11 ) UNSIGNED NOT NULL ,
`value` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `id` )
);


ALTER TABLE `zone` ADD `support_mail` VARCHAR( 255 ) ;
ALTER TABLE `zone` ADD `notify` ENUM( 'enabled', 'disabled' ) DEFAULT 'enabled' NOT NULL ;
ALTER TABLE `session` ADD `username` VARCHAR( 16 ) NOT NULL AFTER `id` ;
ALTER TABLE `session` ADD `type` ENUM( 'sso', 'ldap', 'mysql' ) DEFAULT 'ldap' NOT NULL AFTER `expire` ;
ALTER TABLE `domain` ADD `status` ENUM( 'enabled', 'disabled' ) DEFAULT 'enabled' NOT NULL ;

ALTER TABLE `object_option` ADD INDEX ( `object_id` );
ALTER TABLE `object_option` ADD INDEX ( `type` );
ALTER TABLE `object_option` ADD INDEX ( `scope` );
ALTER TABLE `subnet` ADD `vlan` INT( 11 ) UNSIGNED NOT NULL ;

INSERT INTO `workgroup` ( `id` , `name` ) VALUES ('', 'Default' );

DELETE FROM vlan WHERE id=99;
UPDATE workgroup SET vlan=0 WHERE vlan=99;

