<?php

/*

 $Id: show_pointer.inc,v 1.6 2003/12/11 21:57:30 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_pointer.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Pointer Template
	Display/Edit a single pointer
*/

$history = $pointer->object_history->get_history();

if ($action == 'show_pointer') { 

$items = array();
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=edit_pointer&amp;pointer_id=$pointer_id\">Edit Pointer</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_create_pointer\">Create New Pointer</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_pointers\">Show Pointers</a>";
$conf['ui']->display_top_widget($items);


show_template('tborder'); 
?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="2">Viewing <?= $pointer->type; ?> pointer</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Pointer Build Status:</td>
	<td><?= $conf['ui']->show_live_time($history->date,"Pointer"); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('ip_address'); ?>"><? $conf['help']->show_link('ip_address'); ?> IP Address: </td>
	<td><? $conf['ui']->display_field($pointer->ip->ip_addr); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('hostname'); ?>"><? $conf['help']->show_link('hostname'); ?> Hostname: </td>
	<td><? $conf['ui']->display_field($pointer->hostname); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<? if (!$pointer->ttl) { $pointer->ttl = $conf['default_pointer_ttl']; } ?>
	<td title="<? $conf['help']->title('ttl'); ?>"><? $conf['help']->show_link('ttl'); ?> Time to live: </td>
	<td><? $conf['ui']->display_field($pointer->ttl); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('status'); ?>"><? $conf['help']->show_link('status'); ?> Status: </td>
	<td><? $conf['ui']->display_field($pointer->status); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('parent_zone'); ?>"><? $conf['help']->show_link('parent_zone'); ?> Parent Zone: </td>
	<td><? $zone = new Zone($pointer->zone); $conf['ui']->display_field($zone->name); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->title("who_update"); ?>"><? $conf['help']->show_link("who_update"); ?> Last Updated By: </td>
        <td>
        <? if ($history->username) { ?>
        	<? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
        <? } else { ?>
        	N/A
        <? } ?>
        </td>
</tr>
</table>
<? show_template('bborder'); ?>

<? } else { 

$items = array();
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_pointers\">Show Pointers</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/pointer.php?action=show_delete_pointer&pointer_id=$pointer->id\">Delete Pointer</a>";
$conf['ui']->display_top_widget($items);

?>
<form name="update_pointer" method="post" enctype="multipart/form-data" action="<?= $conf['web_path']; ?>/pointer.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="2">Editing <?= $pointer->type; ?> pointer</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Pointer Build Status:</td>
	<td><?= $conf['ui']->show_live_time($history->date,"Pointer"); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('ip_address'); ?>"><? $conf['help']->show_link('ip_address'); ?>IP Address: </td>
	<td>
	<? if ($user->is_admin || $pointer->type == 'forward') { ?>
		<input name="ip_addr" value="<?= $pointer->ip->ip_addr; ?>" />
		<? $conf['error']->show_message('ip_addr'); ?>
	<? } else { ?>
		<?= $pointer->ip->ip_addr; ?>
	<? } ?>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('hostname'); ?>"><? $conf['help']->show_link('hostname'); ?>Hostname: </td>
	<td>
	<? if ($user->is_admin || $pointer->type == 'reverse') { ?>
		<input name="hostname" value="<?= $pointer->hostname; ?>" />
		<? $conf['error']->show_message('hostname'); ?>
	<? } else { ?>
		<? $conf['ui']->display_field($pointer->hostname); ?>
	<? } ?>
	</td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('ttl'); ?>"><? $conf['help']->show_link('ttl'); ?>Time to live: </td>
	<td>
		<? if (!$pointer->ttl) { $pointer->ttl = $conf['default_pointer_ttl']; } ?>
		<input name="ttl" value="<?= $pointer->ttl; ?>" />
		<? $conf['error']->show_message('ttl'); ?>
	</td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('status'); ?>"><? $conf['help']->show_link('status'); ?>Status: </td>
	<td>
		<select name="status">
			<option value="enabled" <? if ($pointer->status == 'enabled') { echo "SELECTED"; } ?>>Enabled</option>
			<option value="disabled" <? if ($pointer->status == 'disabled') { echo "SELECTED"; } ?>>Disabled</option>
		</select>
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('parent_zone'); ?>"><? $conf['help']->show_link('parent_zone'); ?>Parent Zone: </td>
	<td><? $zone = new Zone($pointer->zone); $conf['ui']->display_field($zone->name); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
        <td title="<? $conf['help']->title('who_update'); ?>"><? $conf['help']->show_link('who_update'); ?>Last Updated By: </td>
        <td>
        <? if ($history->username) { ?>
                <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
        <? } else { ?>
                N/A
        <? } ?>
        </td>
</tr>
<tr bgcolor="<?= $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="action" value="update_pointer" />
	<input type="submit" value="Update Pointer" />
	<input type="submit" name="action" value="Cancel" />
	<input type="hidden" name="pointer_id" value="<?= $pointer->id; ?>" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>
<? } ?>
