<?php

/*

 $Id: show_zone_ranges.inc,v 1.9 2003/12/22 17:37:02 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_zone_ranges.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Zone Ranges Template
	Displays the Zone to Range Mappings

*/
?>

<form name="view_zone_range" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/range.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr class="widget-title" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
	<td>Zone</td>
	<td>Range</td>
	<td>Default Domain</td>
	<td>Status</td>
	<td>Action</td>
</tr>
<? 

foreach ($ranges as $range) { 

	//reset the zones array
	$zones = array();

	//set all the zones
	foreach ($range->zones as $temp_zone) {
		//if it's the mapping for this zone
                if ($temp_zone == $zone->id) { $zones[] = new Zone($temp_zone); }
        }

//recurses through the "zones" in this range
foreach ($zones as $zone) { 

//check to see if it's enabled if now we give the tr a different class
$enabled = $range->zone_is_enabled($zone->id); 

//get the default domain
$domain = new Domain($range->get_default_domain($zone->id));
?>

<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" <? if ($enabled == 'false') { echo "class=\"disabled\" "; } ?> align="center">
	<td><?= $conf['ui']->display_field($zone->name); ?></td>
	<td><?= $conf['ui']->display_field($range->start->ip_addr . " - " . $range->end->ip_addr); ?></td>
	<td><?= $conf['ui']->display_field($domain->name); ?></td>
	<td>
	<? 
	if ($enabled == 'true') { echo "Enabled"; }
	else { echo "Disabled"; }
	?>
	</td>
	<td>

	<? if ($user->is_admin) { ?>
		<a href="<?= $conf['web_path']; ?>/range.php?action=confirm_delete_zone_range&amp;zone_id=<?= $zone->id; ?>&amp;range_id=<?= $range->id; ?>" >Delete</a> |  
		<? if ($enabled == 'true') { ?>
			<a href="<?= $conf['web_path']; ?>/range.php?action=enable_zone_range&amp;zone_id=<?= $zone->id; ?>&amp;range_id=<?= $range->id; ?>&amp;enabled=false" >Disable</a> 
			<? } else { ?>
			<a href="<?= $conf['web_path']; ?>/range.php?action=enable_zone_range&amp;zone_id=<?= $zone->id; ?>&amp;range_id=<?= $range->id; ?>&amp;enabled=true" >Enable</a> |
		<? } ?>
		<? if ($range->type == "static") { ?> | <a href="<?= $conf['web_path']; ?>/ip.php?action=show_available_ips&zone_range=<?= $range->id; ?>">View Free IPs</a><? } ?>
	<? } //is admin 
	   elseif ($user->is_zone_admin) { ?>
		<? if ($range->type == "static") { ?> | <a href="<?= $conf['web_path']; ?>/ip.php?action=show_available_ips&zone_range=<?= $range->id; ?>">View Free IPs</a><? } ?>
	<? } //is zone_admin 
	   elseif ( $user->is_guest || $user->is_user ) { ?>
		<? if ($range->type == "static") { ?> | <a href="<?= $conf['web_path']; ?>/ip.php?action=show_available_ips&zone_range=<?= $range->id; ?>">View Free IPs</a><? } ?>
	<? } //else is guest/user 
	   else { //shouldn't be able to happen but... ?>
		No Actions
	<? } ?>
	</td>
</tr>
<? } //end foreach ?>

<? } //end top foreach ?>

</table>
<? show_template('bborder'); ?>
</form>




